<?php
if ( $a == 'cookie_categories' )
{
  $array = unserialize( $_COOKIE[ 'cookie_categories' ] );
  
  if ( $array[ \S::get( 'category_id' ) ] == 0 )
    $array[ \S::get( 'category_id' ) ] = 1;
  else
    $array[ \S::get( 'category_id' ) ] = 0;
  
  $array = serialize( $array );
  
  setcookie( 'cookie_categories', $array, time() + 3600 * 24 * 365 );
}

if ( $a == 'save_categories_order' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania kolejności kategorii wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\ShopCategory::save_categories_order( \S::get( 'categories' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'product_file_delete' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas usuwania załącznika wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\ShopProduct::delete_file( \S::get( 'file_id' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'product_file_name_change' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas zmiany nazwy załącznika wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\ShopProduct::file_name_change( \S::get( 'file_id' ), \S::get( 'file_name' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'product_image_delete' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas usuwania zdjecia wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\ShopProduct::delete_img( \S::get( 'image_id' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}
